<?xml version="1.0" encoding="UTF-8"?>
<!--
 * The contents of this file are subject to the terms of the Common Development and
 * Distribution License (the License). You may not use this file except in compliance with the
 * License.
 *
 * You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
 * specific language governing permission and limitations under the License.
 *
 * When distributing Covered Software, include this CDDL Header Notice in each file and include
 * the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
 * Header, with the fields enclosed by brackets [] replaced by your own identifying
 * information: "Portions copyright [year] [name of copyright owner]".
 *
 * Copyright 2015-2016 ForgeRock AS.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <artifactId>openam</artifactId>
        <groupId>org.openidentityplatform.openam</groupId>
        <version>14.5.3-SNAPSHOT</version>
    </parent>

    <artifactId>openam-oauth2-saml2</artifactId>

    <name>OpenAM OAuth2 SAML2 Grant Flow</name>
    <description>OpenAM OAuth2 SAML2 integration</description>
	
	<repositories>
	     <repository>
       		<id>mvnrepository.com</id>
       		<url>https://repo.spring.io/libs-milestone</url>
       </repository>
	</repositories>
    <dependencies>

        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-oauth2</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-federation-library</artifactId>
        </dependency>

        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>javax.servlet-api</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.restlet.jee</groupId>
            <artifactId>org.restlet</artifactId>
        </dependency>

        <dependency>
            <groupId>org.restlet.jee</groupId>
            <artifactId>org.restlet.ext.jackson</artifactId>
        </dependency>
    </dependencies>
</project>
